> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List vendor findings mapped to a risk scenario

> List the vendor finding IDs mapped to a risk scenario, including findings
attached directly to vendors and findings attached to security reviews.
Supply the risk scenario's object ID.



## OpenAPI

````yaml /reference/manage-vanta.json get /risk-scenarios/{riskScenarioId}/mappings/vendor-findings
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /risk-scenarios/{riskScenarioId}/mappings/vendor-findings:
    get:
      tags:
        - Risk Scenarios
      summary: List vendor findings mapped to a risk scenario
      description: >-
        List the vendor finding IDs mapped to a risk scenario, including
        findings

        attached directly to vendors and findings attached to security reviews.

        Supply the risk scenario's object ID.
      operationId: ListVendorFindingMappings
      parameters:
        - in: path
          name: riskScenarioId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_RiskScenarioVendorFindingMapping_
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_RiskScenarioVendorFindingMapping_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/RiskScenarioVendorFindingMapping'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    RiskScenarioVendorFindingMapping:
      properties:
        vendorFindingId:
          type: string
          description: The ID of a vendor finding mapped to the risk scenario.
      required:
        - vendorFindingId
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Bulk remove vendor finding mappings](/api-reference/risk-scenarios/bulk-remove-vendor-finding-mappings.md)
- [Bulk add vendor finding mappings](/api-reference/risk-scenarios/bulk-add-vendor-finding-mappings.md)
- [List vendor findings](/api-reference/vendors/list-vendor-findings.md)
- [Update vendor finding](/api-reference/vendors/update-vendor-finding.md)
- [Add a vendor finding](/api-reference/vendors/add-a-vendor-finding.md)
